quick-add-product .boa-upsell-product.product-upsell__holder {
  .product-upsell {
    background-color: #eeeae578;
  }
  .product-upsell__content {
    padding: 1rem;
  }
  .product-upsell__content,
  .product-upsell__content a {
    color: black;
  }
  .product-upsell__content .boa-product-bulletpoints {
    display: flex;
    gap: 1rem;
    font-size: 15px;
  }

  .btn__outer {
    right: unset;
    left: 1rem;
  }
  .product-upsell__btn {
    color: black;
    width: auto;
  }
  .product-upsell__btn:not(.btn) {
    --btn-size: 16px;
  }
  .btn__plus {
    --icon-add-cart: url("//mycospring.com/cdn/shop/t/169/assets/boa-icon-plus.svg?v=101825678429235736191786510232");
    --icon-size: 12px;
  }
  .product-upsell__price {
    font-size: 1rem;
    margin: unset;
  }

  .product-upsell__title {
    font-weight: 600;
    line-height: normal;
    font-size: 15px;
  }

  @media (min-width: 750px) {
    .product-upsell__link {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }
    .product-upsell__btn:not(.btn) .btn__text {
      display: none;
    }
  }
  @media (max-width: 749px) {
    border: 1px solid black;
    .product-upsell {
      background-color: transparent;
    }
    .product-upsell__image {
      border-inline-end: 1px solid black;
    }
    .product-upsell__content {
      padding: 0.5rem;
      display: flex;
      flex-direction: column;
    }
    .product-upsell__link {
      display: flex;
      flex-wrap: wrap;
      gap: 0.5rem;
      white-space: nowrap;
    }
    .mobile.upsell-product-description {
      overflow: hidden;
    }
    .mobile.upsell-product-description > * {
      display: none;
    }
    .mobile.upsell-product-description > *:first-child {
      display: block;
      overflow: hidden;
      text-overflow: ellipsis;
    }
    .product-upsell__content .boa-product-bulletpoints {
      gap: 0.5rem;
      font-size: 14px;
    }
    .product-upsell__actions {
      margin-top: auto;
    }
    .btn__outer {
      position: static;
      width: 100%;
    }
    .product-upsell__btn {
      width: 100%;
      color: white;
      background-color: black;
    }
    .btn__plus {
      display: none;
    }
    .product-upsell__btn:not(.btn) .btn__text {
      opacity: 1;
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 0.5rem;
      font-size: 1rem;
    }
  }
}

/* Product page specific */
.product__block.product__upsell {
  display: flex;
  .product-upsell__holder__title {
    width: 25%;
  }
  .product-upsell__holder__title:after {
    content: ":";
  }
  quick-add-product {
    width: 100%;
  }

  @media (max-width: 749px) {
    flex-direction: column;
  }
}
